# gdcm::SwapperNoOp Class Reference

`#include <gdcmSwapper.h>`

List of all members.

## Static Public Member Functions
template<typename T >
static T | Swap (T val)
template<typename T >
static void | SwapArray (T *, unsigned int)

## Detailed Description

Examples:

  AnonymizeAES.cxx, and ReadExplicitLengthSQIVR.cxx.

## Member Function Documentation

template<typename T >

static T gdcm::SwapperNoOp::Swap | ( | T | val | ) | `[inline, static]`

Referenced by gdcm::EncodingImplementation< VR::VRBINARY >::Write().

template<typename T >

static void gdcm::SwapperNoOp::SwapArray | ( | T * | ,
|  | unsigned | int |
| ) |  |  | `[inline, static]`

Referenced by gdcm::EncodingImplementation< VR::VRBINARY >::Read().

The documentation for this class was generated from the following file:

- gdcmSwapper.h